Create chat completion
curl --request POST \
--url https://api.siray.ai/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"max_tokens": 128000,
"messages": [
{
"content": "example_value",
"role": "system"
}
],
"model": "openai/gpt-6.2-sol",
"stream": false
}
'import requests
url = "https://api.siray.ai/v1/chat/completions"
payload = {
"max_tokens": 128000,
"messages": [
{
"content": "example_value",
"role": "system"
}
],
"model": "openai/gpt-6.2-sol",
"stream": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
max_tokens: 128000,
messages: [{content: 'example_value', role: 'system'}],
model: 'openai/gpt-6.2-sol',
stream: false
})
};
fetch('https://api.siray.ai/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.siray.ai/v1/chat/completions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'max_tokens' => 128000,
'messages' => [
[
'content' => 'example_value',
'role' => 'system'
]
],
'model' => 'openai/gpt-6.2-sol',
'stream' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siray.ai/v1/chat/completions"
payload := strings.NewReader("{\n \"max_tokens\": 128000,\n \"messages\": [\n {\n \"content\": \"example_value\",\n \"role\": \"system\"\n }\n ],\n \"model\": \"openai/gpt-6.2-sol\",\n \"stream\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.siray.ai/v1/chat/completions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"max_tokens\": 128000,\n \"messages\": [\n {\n \"content\": \"example_value\",\n \"role\": \"system\"\n }\n ],\n \"model\": \"openai/gpt-6.2-sol\",\n \"stream\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.siray.ai/v1/chat/completions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"max_tokens\": 128000,\n \"messages\": [\n {\n \"content\": \"example_value\",\n \"role\": \"system\"\n }\n ],\n \"model\": \"openai/gpt-6.2-sol\",\n \"stream\": false\n}"
response = http.request(request)
puts response.read_body{
"choices": [
{
"index": 123,
"delta": {
"content": "<string>",
"reasoning": "<string>",
"reasoning_content": "<string>",
"role": "system",
"tool_calls": [
{
"function": {
"arguments": "<string>",
"description": "<string>",
"name": "<string>",
"parameters": "<unknown>"
},
"id": "<string>",
"index": 123,
"type": "<unknown>"
}
]
},
"finish_reason": "stop",
"logprobs": "<unknown>"
}
],
"created": 123,
"id": "<string>",
"model": "<string>",
"object": "<string>",
"system_fingerprint": "<string>",
"usage": {
"completion_tokens": 123,
"completion_tokens_details": {
"audio_tokens": 123,
"reasoning_tokens": 123,
"text_tokens": 123
},
"input_tokens": 123,
"output_tokens": 123,
"prompt_tokens": 123,
"prompt_tokens_details": {
"audio_tokens": 123,
"cached_tokens": 123,
"image_tokens": 123,
"text_tokens": 123,
"cache_write_tokens": 123
},
"total_tokens": 123,
"input_tokens_details": {
"audio_tokens": 123,
"cached_tokens": 123,
"image_tokens": 123,
"text_tokens": 123,
"cache_write_tokens": 123
},
"prompt_cache_hit_tokens": 123
}
}OpenAI
GPT 6.2 Sol
POST
/
v1
/
chat
/
completions
Create chat completion
curl --request POST \
--url https://api.siray.ai/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"max_tokens": 128000,
"messages": [
{
"content": "example_value",
"role": "system"
}
],
"model": "openai/gpt-6.2-sol",
"stream": false
}
'import requests
url = "https://api.siray.ai/v1/chat/completions"
payload = {
"max_tokens": 128000,
"messages": [
{
"content": "example_value",
"role": "system"
}
],
"model": "openai/gpt-6.2-sol",
"stream": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
max_tokens: 128000,
messages: [{content: 'example_value', role: 'system'}],
model: 'openai/gpt-6.2-sol',
stream: false
})
};
fetch('https://api.siray.ai/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.siray.ai/v1/chat/completions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'max_tokens' => 128000,
'messages' => [
[
'content' => 'example_value',
'role' => 'system'
]
],
'model' => 'openai/gpt-6.2-sol',
'stream' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siray.ai/v1/chat/completions"
payload := strings.NewReader("{\n \"max_tokens\": 128000,\n \"messages\": [\n {\n \"content\": \"example_value\",\n \"role\": \"system\"\n }\n ],\n \"model\": \"openai/gpt-6.2-sol\",\n \"stream\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.siray.ai/v1/chat/completions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"max_tokens\": 128000,\n \"messages\": [\n {\n \"content\": \"example_value\",\n \"role\": \"system\"\n }\n ],\n \"model\": \"openai/gpt-6.2-sol\",\n \"stream\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.siray.ai/v1/chat/completions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"max_tokens\": 128000,\n \"messages\": [\n {\n \"content\": \"example_value\",\n \"role\": \"system\"\n }\n ],\n \"model\": \"openai/gpt-6.2-sol\",\n \"stream\": false\n}"
response = http.request(request)
puts response.read_body{
"choices": [
{
"index": 123,
"delta": {
"content": "<string>",
"reasoning": "<string>",
"reasoning_content": "<string>",
"role": "system",
"tool_calls": [
{
"function": {
"arguments": "<string>",
"description": "<string>",
"name": "<string>",
"parameters": "<unknown>"
},
"id": "<string>",
"index": 123,
"type": "<unknown>"
}
]
},
"finish_reason": "stop",
"logprobs": "<unknown>"
}
],
"created": 123,
"id": "<string>",
"model": "<string>",
"object": "<string>",
"system_fingerprint": "<string>",
"usage": {
"completion_tokens": 123,
"completion_tokens_details": {
"audio_tokens": 123,
"reasoning_tokens": 123,
"text_tokens": 123
},
"input_tokens": 123,
"output_tokens": 123,
"prompt_tokens": 123,
"prompt_tokens_details": {
"audio_tokens": 123,
"cached_tokens": 123,
"image_tokens": 123,
"text_tokens": 123,
"cache_write_tokens": 123
},
"total_tokens": 123,
"input_tokens_details": {
"audio_tokens": 123,
"cached_tokens": 123,
"image_tokens": 123,
"text_tokens": 123,
"cache_write_tokens": 123
},
"prompt_cache_hit_tokens": 123
}
}Body
application/json
Request payload
OpenAI-compatible chat completions API request format
Response
200 - application/json
Successful response
Chat completion response
